<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.GazelleCrossValidatorDocumentationRule']}</h2>
        <s:div id="globalDiv">
            <br/>
            <h:outputText value="#{messages['net.ihe.gazelle.xval.URLParametersAreIncorrectOrYouAreNotAllowedToAcc']}"
                          rendered="#{ruleDisplayManager.rule == null}" styleClass="gzl-alert gzl-alert-orange"/>
            <s:decorate template="/layout/panels/_panel_title_footer.xhtml"
                        rendered="#{ruleDisplayManager.rule != null}">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.RuleDetails']}"/>
                </ui:define>
                <ui:include src="/xvalidation/common/ruleDetails.xhtml">
                    <ui:param name="ruleToDisplay" value="#{ruleDisplayManager.rule}"/>
                </ui:include>
                <ui:define name="panel_footer">
                    <h:form>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Back']}"
                                           styleClass="gzl-btn" onclick="history.back()"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Edit']}"
                                           actionListener="#{ruleUpdateManager.setRule(ruleDisplayManager.rule)}"
                                           rendered="#{(s:hasRole('admin_role') or s:hasRole('test_editor_rule')) and not ruleDisplayManager.rule.isDeprecated()}"
                                           oncomplete="jq162('#updateRulePanel').modal('show');"
                                           render="updateRulePanelContent updateForm"
                                           styleClass="gzl-btn-blue"/>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.AccessUnitTests']}"
                                           action="#{ruleUnitTestManager.displayUnitTestForRule(ruleDisplayManager.rule)}"
                                           rendered="#{s:hasRole('admin_role') or s:hasRole('test_editor_rule')}"
                                           styleClass="gzl-btn-blue"/>
                    </h:form>
                </ui:define>
            </s:decorate>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.Inputs']}"/>
                </ui:define>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xval.TheTableBelowGathersTheInputsUsedByThisRule']}"/>
                <h:form id="refFilter">
                    <s:decorate template="/xvalidation/common/validatorInputsTable.xhtml">
                        <ui:param name="inputs" value="#{ruleDisplayManager.ruleInputs}"/>
                        <ui:define name="actionButtons">
                            <a4j:commandLink styleClass="action"
                                             title="#{messages['net.ihe.gazelle.xval.DisplayReferencedObject']}"
                                             id="displayReferencedObject"
                                             action="#{xvalidatorEditorManager.redirectToReferencedObjectDoc(input)}">
                                <s:span styleClass="gzl-icon-search"/>
                            </a4j:commandLink>
                        </ui:define>
                    </s:decorate>
                </h:form>
            </ui:decorate>
            <ui:include src="/xvalidation/common/displayConfiguration.xhtml">
                <ui:param name="configuration" value="#{ruleDisplayManager.rule.validatorConfiguration}"/>
            </ui:include>
        </s:div>
        <ui:include src="/xvalidation/admin/updateRulePanel.xhtml"/>
    </ui:define>
</ui:composition>
